  /* Variables */
:root {
  /* Colors */
  /* https://brand.amazon.com/amazon-parent/brand-guidelines/color/ */

  --color-background: rgb(242, 243, 243);
  --color-background-hover: rgb(200, 200, 200);
  --color-border: rgb(170, 183, 184);
  --color-button-primary: #007bff;

  --color-black-tuple: 0, 0, 0;
  --color-amazon-orange-tuple: 250, 140, 14;

  --color-green-healthy: #28a745;
  --color-red-unhealthy: #dc3545;

  --color-outline-dark: #6c757d;
  --color-outline-light: #dee2e6;

  --cxd-carousel-card-border-radius: 12px;
  --cxd-carousel-card-image-width: 35%;

  --cxd-card-order-pane-height: 120px;
  --cxd-card-order-pane-columns: 8;
  --cxd-card-order-pane-column-width: calc(100% / var(--cxd-card-order-pane-columns));

  --cxd-card-order-pane-v2-columns: 30;

  --font-family: Amazon Ember, Helvetica Neue, Roboto, Arial, sans-serif;

  --color-picker-palette-dimension: 28px;

  --focused-outline-color: rgb(94, 158, 214);

  /*
   * 56px = header height
   * 26px = footer height
   */
  --loom-sticky-header-footer-height: 56px + 26px;
}

@font-face{
  font-family: Amazon Ember;
  src: url('./fonts/AmazonEmber_Rg.ttf');
}

html, body{
  height: 100%;
  margin: 0px;
  box-sizing: border-box;
}

body{
  font-family: var(--font-family);
}

.content-background {
  background-color: var(--color-background);
}

.content-wrapper {
  background-color: var(--color-background);
  padding: 10px 8px;
}

/* Margin around the alert for the error page */
.content-wrapper > .alert-danger {
  margin-left: 16px;
  margin-right: 16px;
}

.flexbox-row {
  display: flex;
  flex-direction: row;
  min-height: 0;
}

.flexbox-col {
  display: flex;
  flex-direction: column;
}

.flexbox-parent
{
  z-index: 0;
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;

  justify-content: flex-start; /* align items in Main Axis */
  align-items: stretch; /* align items in Cross Axis */
  align-content: stretch; /* Extra space in Cross Axis */
}

#index {
  height: calc(100% - (var(--loom-sticky-header-footer-height)));
}

.flexbox-item
{
  align-self: stretch;
  padding: 0px;
}

.flex-2 {
  flex: 2;
}

.flexbox-item-grow {
  flex: 1; /* same as flex: 1 1 auto; */
}

.flexbox-center
{
  justify-content: center;
}

.fill-area-content
{
  /* Needed for when the area gets squished too far and there is content that can't be displayed */
  overflow: auto;
}

.content-wrapper.unauthenticated {
  left: 0px;
  right: 0px;
  top: 64px;
  bottom: 64px;
  margin-left: 250px;
}

.header {
  background-color: black;
  width: 100%;
  margin: 0px;
}

.header-label {
  color: white;
  overflow: hidden;
}


.right-align {
  text-align: right;
}

.horizontal-layout {
  display: inline-block;
  vertical-align: middle;
  overflow: hidden;
}

.top-align {
  vertical-align: top;
}

.LogIn {
  background-color: white;
}

nav.navbar {
  background-color: rgb(35, 47, 62)!important;
}

.navbar-brand-image {
  max-height: 28px;
  margin-right: 12px;
  color: rgb(var(--color-amazon-orange-tuple));
  padding-top: 7px;
}

.navbar-brand {
  text-overflow: ellipsis;
  white-space: nowrap;
}
.navbar-dark a.navbar-brand, .navbar-dark a.navbar-brand:focus, a.navbar-dark a.navbar-brand:hover {
  font-family: var(--font-family);
  color: rgb(207, 118, 16)!important;
  font-weight: 500;
}

.nav-item.active a.nav-link .nav-link-text , .nav-item.active a.nav-link i{
  color: rgb(211, 211, 211);
}

@media (min-width: 992px) {

  .sidenav-collapsed .navbar-collapse .sidenav-second-level .nav-item.active a.nav-link {
    padding-right: .7em;
  }
}

.content-header {
  width: 100%;
  background-color: var(--color-background);
}

.tab-pane {
  display: flex;
}

#sidenavToggler {
  background-color: rgba(var(--color-black-tuple), 0.1);
}
#sidenavToggler:hover {
  background-color: rgba(var(--color-black-tuple), 0.2);
}

.breacrumb-wrapper {
  white-space: nowrap;
  border: 1px solid #343a40;
  color: #343a40;
}

.breadcrumb {
  padding: 4px;
  padding-left: 8px;
  font-size: 12px;
  border-radius: 0px;
  margin-bottom: 0px;
  display: -webkit-box;
  background-color: rgba(35, 47, 62, .9);
  min-width: calc(100hw);
  white-space: nowrap;
  flex-wrap: nowrap;
}
.breadcrumb-item {
  max-width: 450px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  color: white;
}
/* made ellipsus match hover and color of breadcrumb-item */
.breadcrumb-item:hover {
  color: rgb(var(--color-amazon-orange-tuple));
}
.breadcrumb-item > a {
  color: var(--color-background);
}
.breadcrumb-item > a:hover {
  color: rgb(var(--color-amazon-orange-tuple));
}

@media (max-width: 1025px) {
  .breadcrumb-item {
    max-width: 300px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

@media (max-width: 770px) {
  .breadcrumb-item {
    max-width: 150px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
.spacer-header .spacer-toolbar, .breadcrumb {
  height:26px;
}

.spacer-header .spacer-notifications {
  height: 23px;
}

.btn-toolbar {
  padding: 4px;
  height: 46px;
}

.btn-toolbar i {
  font-size: 14px;
  position: relative;
  top: -1px;
  font-weight: 400;
}

.btn-toolbar i.fa-chevron-circle-left, .btn-toolbar i.fa-chevron-left {
  font-weight: 900;
}

#btn-save-primary-caret {
  padding-left: 6px;
  padding-right: 8px;
  border-radius: 0 0.25rem 0.25rem 0;
}

#btn-save-dropdown {
  box-shadow: 0 15px 20px rgba(var(--color-black-tuple), 0.3);
}

#btn-save-dropdown i {
  padding-right: 12px;
}

.spacer-header .spacer-breadcrumb {
  height: 46px;
}

.table-hover tbody tr {
  cursor: pointer;
}

.table-hover tbody tr.grid-no-records {
  cursor: default;
  text-align: center;
}

.please-wait-container {
  justify-content: center;
  z-index: 110;
  flex: 1;
}

/* This will just show the footer bar */
.please-wait-text {
  background-color: var(--color-background);
}

.please-wait-container-enter {
  opacity: 1;
}

.please-wait-container-enter-active {
  opacity: 1;
}

.please-wait-container-enter-done {
  opacity: 1;
}

.please-wait-container-exit {
  opacity: 1;
}

.please-wait-container-exit-active {
  opacity: 0.01;
  transition: all 250ms ease-out;
}

.user-presence {
  padding: 0 0 0 0;
}

.user-presence img {
  height: 40px;
  border-radius: 5px;
}

.user-presence i {
  margin: 8px 8px 8px 8px;
}

.notification i {
  padding-right: 8px;
  margin-left:8px;
  font-size: 16px;
}

.notification {
  font-size: 14px;
  padding-left: 8px;
  border-top-style: solid;
  border-top-width: 1px;
  border-bottom-style: solid;
  border-bottom-width: 1px;
  position: relative;
  font-family: var(--font-family);
}

.notification .notyflyout ul {
  margin-top: 12px;
}

div.notification.noty-error, div.notification.noty-error div.notyflyout {
  background-color: #d9534f;
  color:white;
  border: 1px solid #d43f3a;
}

div.notification.noty-warning, div.notification.noty-warning div.notyflyout {
  background-color: #f0ad4e;
  color:white;
  border: 1px solid #eea236;
}

div.notification.noty-info, div.notification.noty-info div.notyflyout {
  background-color: #28a745;
  color:white;
  border: 1px solid #28a745;
}

.notification .notyflyout {
  position: absolute;
  top: -1px;
  display: 'inline-block';
  z-index: 100;
  left: 7px;
  overflow: hidden;
  text-overflow: clip;
  border-radius: 4px;
  box-shadow: 0 15px 20px rgba(var(-color-black-tuple), 0.3);
}

.notyflyout-enter {
  opacity: 0.01;
  max-height:0;
  width: 0%;
}

.notyflyout-enter-active {
  opacity: 1;
  max-height: 300px;
  width: 80%;
  transition: all 250ms ease-out;
}

.notyflyout-enter-done {
  opacity: 1;
  max-height: 300px;
  width: 80%;
  transition: opacity 250ms ease-out;
}

.notyflyout-enter-done:hover {
  opacity: 1;
  transition: opacity 250ms ease-out;
}

.notyflyout-exit {
  opacity: 1;
  max-height: 300px;
  width: 80%;
}

.notyflyout-exit-active {
  opacity: 0.01;
  max-height:0px;
  width: 0%;
  transition: all 250ms ease-out;
}

.clickable {
  cursor: pointer;
}

.nav-tabs {
  border-bottom: 1px var(--color-border) solid;
  padding-left: 2px;
  padding-right: 2px;
  font-size: 14px;
  font-weight: 700;
}

.nav-tabs .nav-link {
  border:  0px;
  border-radius: 0px;
  padding-right: 0px;
}

.nav-link i {
  margin-right: 4px;
  font-size: 14px;
  position: relative;
  top: -1px;
}

.nav-tabs .nav-link span {
  display: inline-block;
  width: 100%;
  border-right: 1px var(--color-border) solid;
  padding-right: 16px;
}

.nav-tabs > li:last-of-type > a > span {
  border-right: 0px;
}

.nav-tabs .nav-link {
  color: rgb(84, 91, 100);
}

.nav-tabs .nav-link.active,.nav-tabs .nav-link:hover {
  color: rgb(235, 95, 7);
}

.nav-tabs .nav-link.active {
  border-bottom:solid 2px black;
  background-color: inherit;
}

.nav-tabs .nav-item {
  margin-bottom: 0px;
}

.feedback-menu {
  font-size: 14px;
}

.feedback-menu, .feedback-menu .dropdown-item {
  font-size: 14px;
}

.feedback-menu i.oe-warning {
  color: orange;
  margin-right: 6px;
  font-size: 12px;
}

.feedback-menu .submit-sim i {
  margin-right: 8px;
}

.feedback-menu .disabled {
  cursor: default;
  color: darkgray;
}

.logout-menu, .logout-menu .dropdown-item {
  font-size: 14px;
}

.logout-menu .logout-item i {
  margin-right: 8px;
}

.logout-menu .disabled {
  cursor: default;
  color: darkgray;
}

.region-select-menu {
  list-style: none;
}

.region-select-menu .choose-region {
  margin-right: 8px;
}

.region-select-menu > a {
  font-size: 16px;
  color: white;
}

.tab-content {
  margin-right: 12px;
}

.btn-add-new {
  font-size: small;
}

.btn-add-new > i.fa {
  padding-right: 8px;
}

.certify-account-warning {
  margin-top: 12px;
}

.certify-account-warning > span:first-child {
  padding-right: 12px;
}

tr .device-image {
  max-width: 28px;
}

tr .skill-image {
  max-width: 52px;
}

.content-wrapper.showing-notification {
  min-height: calc(100vh - 207px);
}

footer.sticky-footer {
  left: 0;
  bottom: 0;
  font-size: x-small;
  color: #868e96;
  line-height: 56px;
  height: 56px;
  background-color: #343a40!important;
}


.copyright {
  white-space: nowrap;
  overflow: hidden;
  display: inline-block;
  width: 400px;
  margin-left: 24px;
  flex-basis: content;
  flex-shrink: 0;
}

.copyright span {
  padding-right: 4px;
}

footer .copyright-full-text {
  display: none;
}

footer div.browser-warning {
  display: inline-block;
  margin: auto;
  padding: 5px;
}

.browser-warning span {
  display: inline-block;
  line-height: normal;
  background: red;
  color: white;
  padding: 5px;
  border-radius: 4px;
  font-weight: bolder;
  font-size: small;
  text-align: center;
}

.version-info {
  width: 150px;
  flex-basis: content;
  flex-shrink: 0;
  margin: 0 12px 0 auto;
}

@media (min-width: 480px) {
  footer .copyright-full-text {
    display: inline;
  }
}

.device-status {
  font-weight: bold;
  color: black;
  width: 100%;
  height: 100%;
  text-align: center;
  border-radius: 4px;
  background-color: #ffc107;
  color: white;
  display:inline-block;
  padding-top: 1px;
}

.device-status-online {
  background-color: var(--color-green-healthy);
}

.device-status-offline {
  background-color: var(--color-red-unhealthy);
  color: white;
}

.health-status {
  font-weight: bold;
  color: black;
  width: 100%;
  height: 100%;
  text-align: center;
  border-radius: 4px;
  background-color: gray;
  color: white;
  display:inline-block;
  padding-top: 1px;
}

.health-status-healthy {
  background-color: var(--color-green-healthy);
  color: white;
}

.health-status-warning {
  background-color: orange;
  color: white;
}

.health-status-critical {
  background-color: var(--color-red-unhealthy);
  color: white;
}

.health-status-unknown {
  background-color: gray;
  color: white;
}

.error-instance-reference {
  color: darkgrey;
  font-size: x-small;
  text-align: right;
}

.modal-body {
  word-wrap: break-word;
}

.modal-header {
  background-color: rgb(216, 216, 216);
}

.light-arrow {
  color: rgba(var(--color-black-tuple), 0.3);
}
.word-break {
  word-wrap: break-word;
}

.grid-header-wrapper {
  padding: 0px 2px;
}

.error-create-sim {
  font-size: 12px;
}

.error-create-sim i {
  padding-right: 8px;
}

.alert-danger h6 {
  font-weight: 900;
  color: black;
}

.alert-danger h6 i {
  color: red;
  padding-right: 10px;
}

.table-count-wrapper {
  text-align: right;
  color: grey;
  font-size: 14px;
  margin-right: 28px;
  padding-top: 4px;
}

.react-bootstrap-table {
  padding-bottom: 25px !important;
}

td > .react-bootstrap-table {
  padding-bottom: 5px !important;
  height: auto !important;
}

/* make table clickable */
.-cursor-pointer:hover {
	cursor: pointer;
}
tr.-cursor-pointer:not(.-padRow):hover {
	background-color: rgb(245, 205, 157);
  transition: .15s;
}
.disable-pointer:hover {
	cursor: default;
  background:default;
}
.react-bs-table-no-data {
  text-align: center;
}
.react-bs-table-no-data:hover {
  cursor: default;
}
.table th {
  background-color: rgb(212, 212, 212);
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE10+/Edge */
  user-select: none; /* Standard */
}
.table td, .table th {
  padding: 10px 8px;
  font-weight: 400;
  max-width: 150px;
}

/*
https://stackoverflow.com/questions/3922739/limit-text-length-to-n-lines-using-css
Picked second solution
*/
.table td span {
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 22px;     /* fallback */
  max-height: 66px;      /* fallback: line-height x num of lines */
  -webkit-line-clamp: 3; /* number of lines to show */
  -webkit-box-orient: vertical;
}

div.fullWidthVW {
  width: 100vw;
}

.light-arrow{
  color: rgba(var(--color-black-tuple), 0.3)
}

.grid-header-wrapper {
  padding: 0px 2px;
}

.react-bootstrap-table, .grid-header-wrapper {
  padding: 0px 10px;
}

.tab-pane > div > .react-bootstrap-table, .tab-pane > div > .grid-header-wrapper {
  padding: 0px;
}

.btn-amazon {
  color: rgba(var(--color-amazon-orange-tuple), 0.9);
  background-color: transparent;
  border-color: rgba(var(--color-amazon-orange-tuple), 0.9);
}

.btn-amazon:hover {
  color: #fff;
  background-color: rgba(var(--color-amazon-orange-tuple), 0.9);
  border-color: #fff;
}

.btn-amazon:focus, .btn-amazon.focus {
  box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
}

.btn-amazon.disabled, .btn-amazon:disabled {
  color: rgba(var(--color-amazon-orange-tuple), 0.377);
  border-color: #ccc;
  background-color: transparent;
}

.btn-amazon:not(:disabled):not(.disabled):active, .btn-amazon:not(:disabled):not(.disabled).active,
.show > .btn-amazon.dropdown-toggle {
  color: #fff;
  background-color: rgba(var(--color-amazon-orange-tuple), 0.9);
  border-color: rgba(var(--color-amazon-orange-tuple), 0.9);
}

.btn-amazon:not(:disabled):not(.disabled):active:focus, .btn-amazon:not(:disabled):not(.disabled).active:focus,
.show > .btn-amazon.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgba(var(--color-amazon-orange-tuple), 0.377);
}

.btn-outline-amazon {
  color: #6c757d;
  background-color: transparent;
  background-image: none;
  border-color: #ccc;
}

.btn-outline-amazon:hover {
  color: #212529;
  background-color: rgba(var(--color-amazon-orange-tuple), 0.377);
  border-color: rgba(var(--color-amazon-orange-tuple), 0.377);
}

.btn-outline-amazon:focus, .btn-outline-amazon.focus {
  box-shadow: 0 0 0 0.2rem rgba(108, 117, 125, 0.5);
}

.btn-outline-amazon.disabled, .btn-outline-amazon:disabled {
  color: rgba(var(--color-amazon-orange-tuple), 0.377);
  border-color: #ccc;
  background-color: transparent;
}

.btn-outline-amazon:not(:disabled):not(.disabled):active, .btn-outline-amazon:not(:disabled):not(.disabled).active,
.show > .btn-outline-amazon.dropdown-toggle {
  color: #212529;
  background-color: rgba(var(--color-amazon-orange-tuple), 0.377);
  border-color: rgba(var(--color-amazon-orange-tuple), 0.377);
}

.btn-outline-amazon:not(:disabled):not(.disabled):active:focus, .btn-outline-amazon:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-amazon.dropdown-toggle:focus {
  box-shadow: 0 0 0 0.2rem rgba(var(--color-amazon-orange-tuple), 0.377);
}

.tab-action-button {
  position: absolute;
  right: 8px;
  min-width: 100px;
}
.tab-action-button > button {
  width: 100%;
}

/* Key/Legend CSS */
.square {
  height: 16px;
  width: 16px;
  display: inline-block;
  vertical-align: middle;
}
.square-expired, .square-missing {
  background-color: darkgrey;
}
.square-discontinued {
  background-color: #eecfff;
}
.status-key {
  font-size: 14px;
}

.section-header-icon-font {
  font-size: 16px;
}

.landing-card-container {
  margin-bottom: 15px;
  margin-top: 15px;
}

.btn-container > div.btn-wrapper {
  margin: 0 4px;
  display: inline-block;
}

.btn-container > div.btn-group {
  margin: 0 4px;
}

.hidden {
  display: none!important;
}

.linked-hint span + span:before {
  content: " ";
}

.cx-designer {
  height: 100%;
  overflow: hidden;
}

.fpo-wrapper {
  bottom: 0px;
  right: 0px;
  background-color: #ccc;
  margin-bottom: 0px;
}

.grid-display-emulator-wrapper {
  overflow: auto;
}

.grid-display-emulator.empty-grid {
  background-color: white;
}

.custom-drag-layer {
  position: fixed;
  pointer-events: none;
  z-index: 100;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}

.action-button-configuration,
.carousel-card-configuration {
  min-height: 180px;
}

.action-button-configuration .content-selection-container button,
.carousel-card-configuration .content-selection-container button {
  width: 200px;
  height: 100px;
}

.action-button-configuration .input-container {
  max-width: 500px;
}

.overflow-ellipsis {
  text-overflow: ellipsis;
  overflow: hidden;
}

/* ActionButton CSS */

.action-button.default {
  outline: 2px solid #ccc;
  background-color: white;
  width: 100px;
  min-height: 100px;
}

.action-button.image {
  background: none;
  border: none;
}

.action-button.ghost-button {
  border: 3px dotted #dc3545;
  background-color: #f5c9c9;
}

.action-button.focused,
.action-button > img.focused {
  outline: 2px solid var(--focused-outline-color);
}

.remote-action-button.focused {
  stroke: var(--focused-outline-color);
  stroke-width: 3;
}

.remote-action-button.invalid {
  fill: #ffb3ad;
}

.remote-action-button.valid {
  fill: #b7ff98;
}

.ghost-icon {
  color: #dc3545;
}

.action-button .validation-icon {
  position: absolute;
  top: 0;
  left: 0;
  font-size: 1.5em;
}

.validation-icon.valid {
  color: #1DD162;
}

.validation-icon.invalid {
  color: #EB2337;
}

.button-index-icon {
  position: absolute;
  top: 0;
  right: 0;
  font-size: 18px;
}

.button-image {
  object-fit: contain;
  max-width: 100%;
  max-height: 100%;
}

.device-grid-container > .flexbox-spinner-wrapper {
  position: relative;
}

/* Customer Labels */

.multi-string-input:not(.active) {
  cursor: pointer;
}

.multi-string-input:not(.active):hover {
  background-color: var(--color-background-hover);
}

.multi-string-input.active {
  background-color: white;
  box-shadow: inset 0px 0 2px 1px rgba(var(--color-black-tuple), 0.3);
}

.multi-string-input__string {
  overflow: hidden;
  font-weight: 500;
  background-color: var(--color-button-primary);
  color: white;
  border-radius: 4px;
}

.multi-string-input__string-icon {
  height: 100%;
  font-size: 14px;
  cursor: pointer;
  border: none;
  background: none;
  color: white;
  background-color: rgba(var(--color-black-tuple), 0.3);
}

.multi-string-input__label-icon:hover {
  background-color: rgba(var(--color-black-tuple), 0.7);
}

.multi-string-input__add-label-button {
  background-color: var(--color-button-primary);
}

.multi-string-input__button-container {
  display: flex;
  flex-direction: row;
  border-top: 1px solid rgba(var(--color-black-tuple), 0.3);
}

.primary-cell-check {
  color: var(--color-green-healthy);
}

.font-size-small {
  font-size: small;
}

/* Override class from Popover component in `react-bootstrap` as they hardcode a max-width of 267px ¯\_(ツ)_/¯ */
.popover {
  max-width: 500px;
}

.popover.transparent {
  opacity: 0.4;
}

.popover .checkbox-input {
  position: initial;
  margin: 0;
}

.popover input[type="number"] {
  width: 75px;
}

.snap-to-grid-label {
  /* This fits all text used for the label (Enabled/Disabled) to prevent elements from shifting around depending on
     component state */
  width: 65px;
}

.outline {
  outline: 1px solid var(--color-outline-light);
}

.outline-dark {
  outline-color: var(--color-outline-dark);
}

.cx-selection-page .cx-card {
  min-width: 400px;
}

.carousel-card {
  display: flex;
  justify-content: flex-end;
  flex-direction: row;
  border-radius: calc(var(--cxd-carousel-card-border-radius) + 1.75px);
  border: 0;
}

.carousel-card-v2 {
  display: flex;
  justify-content: flex-end;
  flex-direction: row;
}

.carousel-card-img-container {
  min-width: var(--cxd-carousel-card-image-width);
  max-width: var(--cxd-carousel-card-image-width);
  align-self: stretch;
  background-color: white;
  border-radius: 0 var(--cxd-carousel-card-border-radius) var(--cxd-carousel-card-border-radius) 0;
  display: flex;
}

.carousel-card .card-img {
  border-radius: 0 var(--cxd-carousel-card-border-radius) var(--cxd-carousel-card-border-radius) 0;
  object-fit: contain;
}

.carousel-card-overview {
  font-size: 30px;
  line-height: 35px;
  margin-bottom: 30px;
  font-family: var(--font-family);
}

.carousel-card-utterance {
  font-size: 60px;
  line-height: 70px;
  font-family: var(--font-family);
}

.carousel-card .card-img-overlay i, .carousel-card .card-img-overlay p {
  margin: 3%;
}

.carousel-card .card-img-overlay {
  padding: 0;
}

.carousel-card .card-body {
  padding: 0;
}

.carousel-card.focused {
  border: 2px solid var(--focused-outline-color);
}

.carousel-card-v2.focused {
  border: 2px solid var(--focused-outline-color);
  border-radius: 0.25rem;
}

.draggable-carousel-card {
  border-radius: var(--cxd-carousel-card-border-radius);
}

.card-order-pane {
  max-height: var(--cxd-card-order-pane-height);
  background-color: white;
}

.card-order-pane .grid {
  display: grid!important;
  grid-template-columns: repeat(var(--cxd-card-order-pane-columns), var(--cxd-card-order-pane-column-width));
  grid-template-rows: var(--cxd-card-order-pane-height);
}

.card-order-pane-v2 .grid {
  display: grid!important;
  grid-template-columns: repeat(var(--cxd-card-order-pane-v2-columns), var(--cxd-card-order-pane-column-width));
  grid-template-rows: var(--cxd-card-order-pane-height);
  overflow-x:scroll;
}

.flex-grow-1 {
  flex-grow: 1;
}

.flex-grow-2 {
  flex-grow: 2;
}

/* Color Picker styling */
.color-picker .color-picker-palette-container {
  position: relative;
}

.color-picker .color-picker-palette {
  width: var(--color-picker-palette-dimension);
  height: var(--color-picker-palette-dimension);
  border-radius: 3px;
}

.color-picker .color-picker-popover {
  position: absolute;
  bottom: var(--color-picker-palette-dimension);
}

.color-picker .color-picker-cover {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
}

/* Browser input styling overrides cursor css style, so we have to specify inputs within
   the color picker. This avoids having to generally set `cursor: inherit` on inputs or
   subject all inputs under -cursor-pointer class to this styling. */
.color-picker .-cursor-pointer input {
  cursor: pointer;
}

.carousel-button {
  color: white;
  background: black;
  width: 30px;
  height: 30px;
  line-height: 30px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.carousel-control-prev {
  width: 30px;
  transform: translateX(-47px);
}

.carousel-control-next {
  width: 30px;
  transform: translateX(47px);
}

.carousel-indicators > li {
  cursor: pointer;
}

.carousel-display-emulator,
.carousel-cx-display-emulator-carousel {
  min-height: 0;
}

.carousel-display-emulator .display-wrapper {
  background-color: white;
  max-height: 100%;
}

.carousel-cx-title {
  font-family: var(--font-family);
  font-size: x-large;
}

.carousel-cx-display-emulator-carousel > .carousel {
  flex: 1;
}

.carousel-cx-display-emulator-carousel .carousel-inner,
.carousel-cx-display-emulator-carousel .carousel-item {
  height: 100%;
}

.release-set-tabs .tab-pane {
  height: 100%;
}

.tab-pane:first-child {
  padding-top: 12px;
  padding-left: 12px;
  padding-right: 12px;
}

/* Loading ellipsis styles & animations */
@keyframes blink {
  /* At the start of the animation the dot has an opacity of .2 */
  0% {
    opacity: .2;
  }
  /* And animates to fully visible... */
  20% {
    opacity: 1;
  }
  /* ...before fading out slowly until it reaches an opacity of .2 and the animation can start again */
  100% {
    opacity: .2;
  }
}

.loading-ellipsis span {
  /* Use the blink animation, which is defined above */
  animation-name: blink;
  animation-duration: 1.4s;
  animation-iteration-count: infinite;
  /**
   * This makes sure that the starting style of the animation is applied before the animation starts. Otherwise we would
   * see a short flash or would have to set the default styling of the dots to the same as the animation. Same applies
   * for the ending styles.
   */
  animation-fill-mode: both;
}

.loading-ellipsis span:nth-child(2) {
  /* Offset the animation of the second dot in the ellipsis so that all the dots don't animate at the same time interval */
  animation-delay: .2s;
}

.loading-ellipsis span:nth-child(3) {
  /* Offset the animation of the third dot in the ellipsis so that all the dots don't animate at the same time interval */
  animation-delay: .4s;
}

.override-default {
  background-color: rgb(35, 47, 62);
  border-color: rgb(35, 47, 62);
  color: white;
  width: 100%;
  text-align: center;
  border-radius: 10px;
  padding-top: 2px;
  padding-bottom: 2px;
}

.prompt-text {
  margin-left: 10px;
}

.card-container {
  max-width: calc(15% + 150px);
  min-width: calc(15% + 70px);
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 0;
  padding-bottom: 0;
  flex: 1;
}

.card-container > .selected {
  outline: 4px solid #adf;
}

.card-list {
  display: flex;
  flex-direction: row;
}

.light-gray-background {
  background-color: rgb(209, 216, 216);
}

.black-border {
  border-width: 1px;
  border-style: solid;
  border-color: black;
  padding-left: 2px;
}
